MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022945Community[OCCT] OCCT:Visualizationpublic2012-01-30 19:212012-04-16 12:33
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformDelphiOSWindowsOS Version
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022945: AIS_InteractiveObject: Initialization bug
DescriptionThis is a bug reported on the OCCT forum by Paul Jimenez:

"After spending a few hours trying to track down a strange behavior, I found the reason for it. It only happens when I try to run a Delphi application that uses a DLL which makes heavy use of OCC. When it runs in C++, the strange behavior does not pop up.

In my copy of OCC 6.3, in file ais_interactiveobject.cxx, lines 56 to 69: myHasTransformation is NOT initialized. It should be set to Standard_False. It caused detected/selected shapes to be given a different location, thus making them impossible to track.

I modified my local copy to include the fix, and I hope you include it also in OCC's code."
TagsNo tags attached.
Test case numberTest case is not required
Attached Filescxx file icon AIS_InteractiveObject.cxx (27,023 bytes) 2012-01-30 19:21

- Relationships

-  Notes
(0019549)
dbv (developer)
2012-02-14 13:33

Fix applied.

Branch http://svn/svn/occt/branches/OCC22945 [^] is ready to be reviewed.

Dear Andrey,
Please review.
(0019550)
abv (manager)
2012-02-14 13:40

Please make sure that (a) other fields are properly initialized (I suspect myCTXPtr, myOwnMaterial, myCurrentFacingModel), and (b) they are initialized in the same order as declared in the class
(0019555)
dbv (developer)
2012-02-14 15:09

Fields initialization has been added.

Branch http://svn/svn/occt/branches/OCC22945 [^] is ready to be reviewed.

Dear Andrey,
Please review.
(0019556)
abv (manager)
2012-02-14 15:26

No remarks, please test
(0019609)
mkv (tester)
2012-02-17 11:36

Dear BugMaster,
Workbench KAS:dev:mkv-22945-occt was created from SVN branch http://svn/svn/occt/branches/OCC22945 [^]
(and mkv-22945-products from trunk) and compiled on Linux platform.

There are not regressions in mkv-22945-products regarding to KAS:dev:products-20120210-opt

See results in /QADisk/occttests/results/KAS/dev/mkv-22945-products_15022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120210-opt_10022012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0019611)
bugmaster (administrator)
2012-02-17 11:51

Integrated into trunk of occt repository

Date: 2012-02-17 11:48:50 +0400 (Fri, 17 Feb 2012)
New Revision: 10494

Modified:
   trunk/src/AIS/AIS_InteractiveObject.cxx
(0020363)
Pawel (developer)
2012-04-12 16:23

Verified. Please close.

- Related Changesets
occt: master a0ed63ac
Timestamp: 2012-02-17 07:48:50
Author: Pawel, DBV
Committer: bugmaster
Details ] Diff ]
0022945: AIS_InteractiveObject: Initialization bug
mod - src/AIS/AIS_InteractiveObject.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-30 19:21 Pawel New Issue
2012-01-30 19:21 Pawel Assigned To => san
2012-01-30 19:21 Pawel File Added: AIS_InteractiveObject.cxx
2012-01-31 10:26 abv Assigned To san => dbv
2012-01-31 10:26 abv Status new => assigned
2012-02-14 13:33 dbv Note Added: 0019549
2012-02-14 13:33 dbv Assigned To dbv => abv
2012-02-14 13:33 dbv Status assigned => resolved
2012-02-14 13:40 abv Note Added: 0019550
2012-02-14 13:40 abv Assigned To abv => dbv
2012-02-14 13:40 abv Status resolved => assigned
2012-02-14 15:09 dbv Note Added: 0019555
2012-02-14 15:09 dbv Assigned To dbv => abv
2012-02-14 15:09 dbv Status assigned => resolved
2012-02-14 15:26 abv Note Added: 0019556
2012-02-14 15:26 abv Assigned To abv => dbv
2012-02-14 15:26 abv Status resolved => reviewed
2012-02-14 18:36 mkv Assigned To dbv => mkv
2012-02-17 11:36 mkv Note Added: 0019609
2012-02-17 11:37 mkv Test case number => Test case is not required
2012-02-17 11:37 mkv Status reviewed => tested
2012-02-17 11:51 bugmaster Note Added: 0019611
2012-02-17 11:51 bugmaster Status tested => verified
2012-02-17 11:51 bugmaster Resolution open => fixed
2012-02-17 11:51 bugmaster Assigned To mkv => Pawel
2012-02-17 11:52 bugmaster Target Version => 6.5.3
2012-03-29 17:26 bugmaster Changeset attached => occt master a0ed63ac
2012-04-12 16:23 Pawel Note Added: 0020363
2012-04-16 12:33 Pawel Assigned To Pawel => bugmaster


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker